Part Sphere/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "* 半径(Radius) * 角度1(Angle 1) * 角度2(Angle 2) * 角度3(Angle 3) * 以及标准的一系列定位参数")
(Updating to match new version of source page)
 
(16 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav|[[Part_Cylinder|Cylinder]]|[[Part_Torus|Torus]]|[[Part_Module|Part]]|IconL=Part_Cylinder.png|IconC=Workbench_Part.svg|IconR=Part_Torus.png}}


{{Docnav
{{GuiCommand|Name=Part Sphere|MenuLocation=Part → Sphere||Workbenches=[[Part_Module|Part Module]]|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
|[[Part_Cylinder|Cylinder]]
|[[Part_Cone|Cone]]
|[[Part_Workbench|Part]]
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
}}


{{GuiCommand
|Name=Part Sphere
|MenuLocation=Part → Primitives → Sphere
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}

== Description ==

<div class="mw-translate-fuzzy">
== 描述 ==
== 描述 ==
利用位置、角度1、角度2、角度3与半径参数创建一个简单的参数化球体。
利用位置、角度1、角度2、角度3与半径参数创建一个简单的参数化球体。
</div>


A Part Sphere can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of a sphere by changing its {{PropertyData|Angle3}} property.
[[File:SimpleSphere.jpg|400px]]


[[Image:Part_Sphere_Example.png|400px]]
== How to use ==
In the workbench [[Part_Workbench|Part]] click on the sphere icon [[Image:Part Sphere.png|32px]]. The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).


==Usage==

<div class="mw-translate-fuzzy">
== 如何使用 ==
在[[Part_Workbench|零件]]工作台中点击球体图标[[Image:Part Sphere.png|32px]]。球体在创建时会被定位在原点(point 0,0,0)处。角度参数确定了所创的是局部球体,而非完整的球体(角度参数的默认设置值为360°)。
</div>

== Example ==

[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]

A Part Sphere object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Sphere can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
== 选项 ==
== 选项 ==
</div>

See also: [[Property_editor|Property editor]].

A Part Sphere object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Sphere}}

* {{PropertyData|Radius|Length}}: The radius of the sphere. The default is {{Value|5mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the arc profile is smaller than {{Value|180°}} the sphere will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of revolution of the sphere. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a sphere.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Sphere can be created with the {{Incode|addObject()}} method of the document:


{{Code|code=
参数化球体有以下参数定义而成:
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
}}


* Where {{Incode|"mySphere"}} is the name for the object.
* 半径(Radius)
* The function returns the newly created object.
* 角度1(Angle 1)
* 角度2(Angle 2)
* 角度3(Angle 3)
* 以及标准的一系列定位参数


Example:
The picture below gives an overview of a parametric sphere with parameters different from the default value.


{{Code|code=
[[File:PartDesign_Sphere_Parameter_en.jpg|600px]]
import FreeCAD as App


doc = App.activeDocument()
====Parameter====
* {{Parameter|Radius:}} Radius of the sphere
* {{Parameter|Angle 1:}} 1nd angle to cut / define the sphere
* {{Parameter|Angle 2:}} 2nd angle to cut / define the sphere
* {{Parameter|Angle 3:}} 3rd angle to cut / define the sphere


sphere = doc.addObject("Part::Sphere", "mySphere")
Because it is quite difficult to explain the meaning of the parameters angle 1, angle 2, angle 3, the picture below gives an explanation about these parameters with following values: angle 1 = -45°, angle 2 = 45° and angle 3= 90°.
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))


doc.recompute()
[[File:SphereCutThreeAngles.jpg|400px]]
{{clear}}
}}


{{Docnav|[[Part_Cylinder|Cylinder]]|[[Part_Torus|Torus]]|[[Part_Module|Part]]|IconL=Part_Cylinder.png|IconC=Workbench_Part.svg|IconR=Part_Torus.png}}


{{Docnav
{{Part Tools navi}}
|[[Part_Cylinder|Cylinder]]
|[[Part_Cone|Cone]]
|[[Part_Workbench|Part]]
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
}}


{{Part Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:53, 3 March 2022

Part Sphere

Menu location
Part → Primitives → Sphere
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

描述

利用位置、角度1、角度2、角度3与半径参数创建一个简单的参数化球体。

A Part Sphere can be truncated at the top and/or bottom by changing its 数据Angle1 and/or 数据Angle2 properties. It can be turned into a segment of a sphere by changing its 数据Angle3 property.

Usage

如何使用

零件工作台中点击球体图标。球体在创建时会被定位在原点(point 0,0,0)处。角度参数确定了所创的是局部球体,而非完整的球体(角度参数的默认设置值为360°)。

Example

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

选项

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • 数据Radius (Length): The radius of the sphere. The default is 5mm.
  • 数据Angle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to 数据Angle2. The default is -90°.
  • 数据Angle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to 数据Angle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • 数据Angle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()